Vraag & Antwoord

OS Linux

[Red Hat 7.3] draadloos ISDN "modem" en kernel-sou

6 antwoorden
  • 1) Als Linux [i:74f75be0fa]newbie[/i:74f75be0fa] heb ik geprobeerd een "gewoon" modem aan de praat te krijgen, maar in mijn PC zit een weerbarstig type modem. Zie daarvoor een eerdere post. 2) Ik zou echter ook een draadloos ISDN "modem" van Siemens (Gigaset M105) kunnen gebruiken, dat werkt perfect onder Windows XP. 3) Daarvoor moet ik dan wel [url=http://sourceforge.net/docman/display_doc.php?docid=7624&group_id=23946]deze[/url] truc uithalen. Is dat vragen om ellende voor een [i:74f75be0fa]newbie[/i:74f75be0fa]? 4) Zo nee, hoe krijg ik de kernel-source op de juiste plek op mijn harde schijf? Ik heb wel een pakketje ontdekt (via KPackage) maar KPackage ziet er nogal spannend uit (en raadt mij trouwens min of meer af om te rommelen met de kernel-source).
  • Mijn Duits is meer dan slecht, maar ik kan de installatiehandleiding echter nog wel redelijk volgen. Als jouw Duits voldoende goed is om de hele tekst te volgen, dan denk ik dat je een goede kans van slagen hebt. Ik denk dat het met de elende op zich wel meevalt. In het worst-case scenario krijg je hem gewoon niet aan de praat. Wat je doet, als je de handleiding volgt is het installeren van de driver, min of meer vergelijkbaar onder windows, alleen een stuk minder geautomatisseerd.
  • Met de moed der dwazen aan de slag gegaan ... 1) Eerst de (?) rpm met de kernel source op de harde schijf gezet. 2) Het installatieprogramma gestart. Dat gaf na korte tijd de volgende foutmelding: <QUOTE> Your current kernel version is: 2.4.18-3 Checking whether "/usr/src/linux/include/linux/version.h" exists...no! Processing /usr/src/linux-2.4.18-3/include/linux/version.h... Found kernel headers for 2.4.18-3smp which do NOT match your kernel version! Processing /usr/src/linux-2.4/include/linux/version.h... Found kernel headers for 2.4.18-3smp which do NOT match your kernel version! You do not seem to have kernel headers for your current kernel version installed on this system! If you compile a module with these headers, it will not work on this machine!!! <UNQUOTE> 3) Wat doe ik fout?
  • Je doet niets fout, je hebt echter een beetje een vreemde kernel. Jouw kernel is geschikt voor voor compus met 2 of meer cpu's. Misschien heb je een dergelijk systeem? Wat je volgens mij gedaan hebt, is het configure-script gedraaid. Dit checkt of alle benodigdheden aanwezig zijn. Dus geen rpm. Ik zou de waarschuwingen maar gewoon negeren en doorgaan. Met een beetje geluk maakt het niet uit. Andere optie is op de cd's van Redhat zoeken naar een andere kernel en die installeren. Lees hierbij iig even goed de documentatie van Redhat [url=http://rpmfind.net/linux/rpm2html/search.php?query=kernel]Hier[/url] kun je een eventueel een heleboel kernels vinden (als je niets geschikts vindt op je cd's). En [url=http://www.loostad.com/linux/compile_kernel/compile_kernel.html]hier[/url] vindt je een uitgebreidt artikel over het compileren en installeren van je kernel. Het lijkt allemaal moeilijker dan het is, gewoon goed lezen, even goed nadenken en dat lukt het wel.
  • 1) De enige rpm die ik kon ontdekken op mijn 3 Red Hat 7.3 cd's die iets met de kernel source te maken leek te hebben, had ik op de harddisk gezet. Of moet je meer dan alleen de kernel-source RPM wegschrijven? 2) Ik heb een doodnormale Compaq Pentium PC - dus niets met twee CPU's, toch? 3) Ik snap er weinig van: ik heb braaf gedaan wat Red Hat 7.3 van mij vroeg bij de installatie. Waarom er dan toch een verschil in de kernel headers zit ... 4) [i:ff297e41e4]Overrulen[/i:ff297e41e4] van deze foutmelding laat de ./configure procedure niet toe, maar ik zal jullie die <QUOTE> maar besparen. 5) Ik heb jouw links een beetje gevolgd. Het leek mij wat veel van het goede om nu te gaan experimenteren met de source van een andere (?) kernel. 6) Tja. Wat nu?
  • Optie 1: koop een modem die het wel onder Linux doet. Optie 2: Neem een andere distro (ik ben zelf ook nooit kapot geweest van Redhat) Optie 3: Probeer het [url=http://www.redhat.com/support/resources/howto/kernel-upgrade/kernel-upgrade.htm]hier[/url] mee (ik hoop dat het niet al te veel achterhaald is).

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.